Bug 55620 - FILEOPEN: LibreOffice hangs with 100% CPU when opening particular doc document
Summary: FILEOPEN: LibreOffice hangs with 100% CPU when opening particular doc document
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords: filter:doc, perf
Depends on:
Blocks:
 
Reported: 2012-10-04 12:12 UTC by Aurimas Fišeras
Modified: 2016-06-17 16:18 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example document that hangs LibreOffice (232.50 KB, application/msword)
2012-10-04 12:12 UTC, Aurimas Fišeras
Details
Bug 55620 - WinDbg session (15.20 KB, text/plain)
2012-10-23 13:14 UTC, bfoman (inactive)
Details
Valgrind log (689.36 KB, text/x-log)
2015-09-19 19:08 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aurimas Fišeras 2012-10-04 12:12:26 UTC
Created attachment 68077 [details]
Example document that hangs LibreOffice

LibreOffice 3.5.6.2, 3.6.2.2 on Windows XP and LibreOffice 3.6.1.2, 3.7.0.0.alpha0+ (Build ID: eff6d4e) on Ubuntu 12.10 64-bit hangs with 100% CPU usage.

Word Viewer and WordPad opens this document successfully on Windows. AbiWord opens it on Ubuntu.

How to reproduce:
1. Open attached document.
2. LibreOffice hangs and never finishes opening it.
Comment 1 bfoman (inactive) 2012-10-23 12:49:21 UTC
Confirmed with:
LO 3.5.6.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Stalls soon after load.
Comment 2 bfoman (inactive) 2012-10-23 13:14:57 UTC
Created attachment 68947 [details]
Bug 55620 - WinDbg session

Attached full WinDbg session with mini dump file loaded generated by procdump soffice.bin -h.
Comment 3 Alexandr 2014-07-19 15:49:19 UTC
Reproducible with LibreOffice 4.2.5 and 4.3.0 on Debian x86_64.
Comment 4 caralu1974 2014-11-25 20:59:35 UTC
I`ve editing a .odt file of 273 pages and lots of tables, when I edit the file LO freezes and quit responding (Using 100% of one CPU) so I must kill it every time. Next I should recover it and lost some of the job.
Comment 5 caralu1974 2014-11-25 21:01:25 UTC
I`ve editing on writer (Versión: 4.3.4.1 Id. de compilación: 430m0(Build:1))a .odt file of 273 pages and lots of tables, when I edit the file LO freezes and quit responding (Using 100% of one CPU) so I must kill it every time. Next I should recover it and lost some of the job.
Comment 6 Alexandr 2014-11-26 20:08:05 UTC
Caralu1974, you seems to meet another bug. In this report Writer freezes when one tries to open the .doc file, but in you case it freezes during editing a .odt document. Could you please create another bugreport and attach you document? If the document contains confidential information, try https://wiki.documentfoundation.org/QA/Bugzilla/Sanitizing_Files_Before_Submission

I retest original hangs.doc and reproduce the issue with LibreOffice 3.5.4, 4.3.3 and 4.4.0.0beta1. I change Version field to 3.5.4 because it should contain the oldest version with the bug (see https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Version ).
Comment 7 caralu1974 2014-11-27 17:25:30 UTC
Yes Mr Alexander you`r right. I will.
Comment 8 Commit Notification 2015-02-18 23:16:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6b28f0bfe5df0248b18e306c3144282f052c7f0

asan: failure to load tdf#55620 attachment under asan

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2015-09-15 14:50:02 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 10 Alexandr 2015-09-19 19:08:51 UTC
Created attachment 118851 [details]
Valgrind log

Maybe Valgrind log can help. It was obtained from 

LibreOffice 5.1.0.0.alpha1+
Build ID: e98cf0c63d6c48ca7c1db87d7413d5c419690c76
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2015-08-11_00:12:34
Locale: ru-RU (ru_RU.UTF-8)
Comment 11 Robinson Tryon (qubit) 2015-12-10 10:48:41 UTC
Migrating Whiteboard tags to Keywords: (perf)
Add keyword: filter:doc
Comment 12 Buovjaga 2015-12-10 10:53:50 UTC
Still hangs.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
Locale: fi-FI (fi_FI)
Comment 13 manuel.defranceschi 2016-06-17 15:24:36 UTC
On linux LO opens the file normally.

Version: 5.2.0.0.alpha1
Build ID: 902b28a39528b6c92602e9b521a1d0861be1caf9
CPU Threads: 2;
UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)
Comment 14 Buovjaga 2016-06-17 16:18:51 UTC
No hang on Windows either anymore. Closing as WFM because Caolán's 2015-02-18 commit did not fix it.
If a fixing commit is known, please announce it and set to FIXED.

Cheers, Manuel.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha0+ (x64)
Build ID: f536a83d51443d19dba58157cea28fb67a090e02
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-06-13_01:19:21
Locale: fi-FI (fi_FI)